Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.secure.quotivity.com/v1/bundles/{bundleId}/options/{optionId}/clone \ --header 'x-api-key: <api-key>'
{ "option": { "id": "<string>", "accountId": "<string>", "bundleId": "<string>", "name": "<string>", "priceBookId": "<string>", "displayOrder": 123, "configuration": { "minCount": 123, "maxCount": 123, "defaultOptionProductId": "<string>" }, "description": "<string>", "products": [ { "id": "<string>", "accountId": "<string>", "bundleId": "<string>", "optionId": "<string>", "productId": "<string>", "properties": {}, "displayOrder": 123, "configuration": { "minQuantity": 123, "maxQuantity": 123, "readonlyQuantity": true } } ] }, "priceBook": { "id": "<string>", "accountId": "<string>", "name": "<string>", "description": "<string>", "bundleOptionId": "<string>", "isDeleted": true, "effectiveStartDate": "<string>", "effectiveEndDate": "<string>" } }
Clones a bundle option with its price book, price book entries, and products.
Bundle option cloned successfully
Show child attributes